<?php
/**
* © Copyright 2007 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
*  iHRIS_Demographic
* @package I2CE
* @subpackage Core
* @author Carl Leitner <litlfred@ibiblio.org>
* @copyright Copyright &copy; 2007 IntraHealth International, Inc. 
* This file is part of I2CE. I2CE is free software; you can redistribute it and/or modify it under 
* the terms of the GNU General Public License as published by the Free Software Foundation; either 
* version 3 of the License, or (at your option) any later version. I2CE is distributed in the hope 
* that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
* or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have 
* received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
* @version 2.1
* @access public
*/


class iHRIS_Demographic extends I2CE_Form{

    /**
     * Constant value for Female gender. 
     */
    const GENDER_FEMALE = 1;
    /**
     * Constant value for Male gender.
     */
    const GENDER_MALE = 2;
    /**
     * @var array Display names for gender.
     */
    static public $genders = array( self::GENDER_FEMALE => 'Female', self::GENDER_MALE => 'Male' );

    /**
     * Lookup the given value from the gender array.
     * @param integer $id
     * @param string $form Not used for this method.
     * @return string
     */
    static public function lookupGender( $id, $form="" ) {
        return I2CE_Form::lookupArray( $id, self::$genders );
    }
    /**
     * List all the options from the gender array.
     * @param string $form The  form we wish to lookup by
     * @returns array
     */
    static public function listGenderOptions($form ) {
        return self::$genders ;
    }

}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
