<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * View a person's record.
 * @package iHRIS
 * @subpackage Qualify
 * @access public
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v2.0.0
 * @version v2.0.0
 */

/**
 * The page class for displaying the a person's record.
 * @package iHRIS
 * @subpackage Qualify
 * @access public
 */
class iHRIS_PageView extends I2CE_Page{ 
    protected $person;
        
    /**
     * Perform the main actions of the page.
     */
    protected function action() {
        parent::action();
        $this->template->addHeaderLink("view.js");
        $this->template->appendFileById( "menu_view.html", "li", "navBarUL", true );
        $this->template->appendFileById( "menu_view_person.html", "ul", "menuView" );
        $factory = I2CE_FormFactory::instance();
        $this->person = $factory->createForm( "person", $this->get('id') );
        $this->person->populate();
        $this->person->populateChildren( array( "person_id", "contact", "demographic", "notes"));
        $this->template->setForm( $this->person );
                
    }




    protected function showContacts($contacts,$contact_seen,$role) {
        $factory = I2CE_FormFactory::instance();
        foreach( $contacts as $contact ) {
            $type = $factory->getConst( "contact", $contact);
            if ( !array_key_exists( $type, $contact_seen ) ) {
                $this->template->appendTextById( "<span role='$role'>"
                                                     . '<span type="form" name="person:id" href="contact?contact_type='  
                                                     . $type 
                                                     . '&amp;parent=" text="Add ' .
                                                     $factory->callStatic( "contact", "lookupType", array( $type ) ) 
                                                     . ' Contact"></span> </span>'
                                                     , "span"
                                                     , "contact_links" );
            }
        }
    }

  }


# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
