<?php
/**
* © Copyright 2008 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
*  iHRIS_Module_Trainng_Course
* @package I2CE
* @subpackage Core
* @author Carl Leitner <litlfred@ibiblio.org>
* @copyright Copyright &copy; 2008 IntraHealth International, Inc. 
* This file is part of I2CE. I2CE is free software; you can redistribute it and/or modify it under 
* the terms of the GNU General Public License as published by the Free Software Foundation; either 
* version 3 of the License, or (at your option) any later version. I2CE is distributed in the hope 
* that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
* or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have 
* received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
* @version 2.1
* @access public
*/


class iHRIS_Module_Training_Course extends I2CE_Module{

    

    public function showEnrolledCourses($node,$template,$args) {
        $personForm = $template->getData('FORM','person',$node);
        if (!$personForm instanceof iHRIS_Person || $personForm->getId() < 1) {
            $node->parentNode->removeChild($node);
            return;
        }
        $trainingIds = $personForm->getChildIds('person_scheduled_training_course','-request_date'); //get all trainings.
        if (count($trainingIds) == 0) {
            $node->parentNode->removeChild($node);
            return;
        }
        $node->removeAttribute('type');
        $node->removeAttribute('name');
        $factory = I2CE_FormFactory::instance();
        foreach ($trainingIds as $trainingId) {
            $trainingForm = $factory->createForm('person_scheduled_training_course',$trainingId);
            if (!$trainingForm instanceof I2CE_Form) {
                continue;
            }
            $trainingForm->populate();
            if ($trainingForm->training_course < 1) {
                continue;
            }
            if ($trainingForm->scheduled_training_course < 1) {
                continue;
            }
            $courseForm = $factory->createForm('training_course',$trainingForm->training_course);
            $scheduledCourseForm = $factory->createForm('scheduled_training_course',$trainingForm->scheduled_training_course);
            if (!$courseForm instanceof I2CE_Form) {
                continue;
            }
            if (!$scheduledCourseForm instanceof I2CE_Form) {
                continue;
            }
            $courseForm->populate();
            $scheduledCourseForm->populate();
            
            $trainingNode = $template->appendFileByNode('person_scheduled_training_list.html','div',$node);
            if (!$trainingNode instanceof DOMNode) {
                continue;
            }
            $template->setForm($trainingForm,$trainingNode);
            $template->setForm($courseForm,$trainingNode);
            $template->setForm($scheduledCourseForm,$trainingNode);
        }
        
    }



}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
